var submissionTextEditor = null;

// this function will get called at body.onload
function initEditor() {

    // ------------------------------------------------------
    // Create submissionText Editor
    // ------------------------------------------------------
    submissionTextEditor = new HTMLArea("submissionText");

    // add our new icon in a place better suited for this task...		
    submissionTextEditor.config.toolbar = [
    	[ "fontsize", "space","space",
    	  "bold", "italic", "underline", "strikethrough", "separator",
    	  "justifyleft", "justifycenter", "justifyright", "justifyfull", "separator",
    	  "orderedlist", "unorderedlist", "separator",
    	  "createlink", "insertimage", "htmlmode" ]
    ];    
    
    // Generate submissionTextEditor Editor
    setTimeout(function() {submissionTextEditor.generate();}, 1000); 

    return false;
};

// Initialize HTMLArea Editor
HTMLArea.init();
HTMLArea.onload = initEditor;